Subject: Re: [PATCH net 1/3] selftests: forwarding: fix flood_unicast_test when h2 supports IFF_UNICAST_FLT

From: Ido Schimmel <[email-masked]>
Date: Sun, 3 Jul 2022 13:02:36 +0300

On Sun, Jul 03, 2022 at 10:36:24AM +0300, Vladimir Oltean wrote:
> As mentioned in the blamed commit, flood_unicast_test() works by
> checking the match count on a tc filter placed on the receiving
> interface.
> 
> But the second host interface (host2_if) has no interest in receiving a
> packet with MAC DA de:ad:be:ef:13:37, so its RX filter drops it even
> before the ingress tc filter gets to be executed. So we will incorrectly
> get the message "Packet was not flooded when should", when in fact, the
> packet was flooded as expected but dropped due to an unrelated reason,
> at some other layer on the receiving side.
> 
> Force h2 to accept this packet by temporarily placing it in promiscuous
> mode. Alternatively we could either deliver to its MAC address or use
> tcpdump_start, but this has the fewest complications.
> 
> This fixes the "flooding" test from bridge_vlan_aware.sh and
> bridge_vlan_unaware.sh, which calls flood_test from the lib.
> 
> Fixes: 236dd50bf67a ("selftests: forwarding: Add a test for flooded traffic")
> Signed-off-by: Vladimir Oltean <[email-masked]>

Reviewed-by: Ido Schimmel <[email-masked]>
Tested-by: Ido Schimmel <[email-masked]>